PR_GET_FPEXC(2const)

NAME
PR_GET_FPEXC - get the floating-point exception mode

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_FPEXC, unsigned int *mode);

DESCRIPTION
Return floating-point exception mode, in the location pointed to by mode.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    mode is an invalid address.

STANDARDS
Linux. PowerPC only.

HISTORY
Linux 2.4.21, 2.5.32. (PowerPC)

SEE ALSO
prctl(2), PR_SET_FPEXC(2const)